<div class="container-fluid">
  <div class="row">
    <div class="col-lg-1"></div>
    <div class="col-lg-10">
      <table class="table table-striped table-bordered">
        <thead>
        </thead>
        <tbody>
        <tr>
          <td>
            Search science papers:
          </td>
          <td>
            <select class="form-control" [(ngModel)]="firstDiv.firstField">
              <option *ngFor="let field of firstDiv.userFields" [value]="field">{{field}}</option>
            </select>
          </td>
          <td>
            <input class="form-control" [(ngModel)]="firstDiv.input" placeholder="Search...">
          </td>
          <td>
            <button type="button" class="btn btn-success btn-circle" (click)="addFieldValue()"><i class="fa fa-plus"></i></button>
          </td>
        </tr>
        <tr *ngFor="let field of fieldArray; let i = index">
          <td>
            <select class="form-control" [(ngModel)]="field.firstOperation">
              <option *ngFor="let oper of field.operations" [value]="oper">{{oper}}</option>
            </select>
          </td>
          <td>
            <select class="form-control" [(ngModel)]="field.firstField">
              <option *ngFor="let field of field.userFields" [value]="field">{{field}}</option>
            </select>
          </td>
          <td>
            <input class="form-control"[(ngModel)]="field.input" placeholder="Search...">
          </td>
          <td>
            <button type="button" class="btn btn-danger btn-circle" (click)="deleteFieldValue(i)"><i class="fa fa-times"></i></button>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
    <div class="col-lg-1"></div>
  </div>
  <div class="row" style="margin-bottom: -3%">
    <div class="col-lg-8"></div>
    <div class="col-lg-2">
      <div class="form-check">
        <input type="checkbox" class="form-check-input" id="exampleCheck1" [(ngModel)]="phraseChecked">
        <label class="form-check-label" for="exampleCheck1">Search phrase query</label>
      </div>
    </div>
    <div class="col-lg-1"style="margin-left: 1%">
      <button class="btn btn-info"  (click)="search()">Search</button>
    </div>
    <div class="col-lg-1"></div>
  </div>
  <br>
  <div class="row" *ngIf="foundPapers.length == 0 && justLoaded">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">
      <h5>No papers found!</h5>
    </div>
  </div>
  <div class="row" *ngFor="let paper of foundPapers" style="margin-top: 3%">
    <div class="col-lg-1"></div>
    <div class="col-lg-10">
      <div class="row">
        <h3><u>{{paper.title}}</u></h3>
        <button class="btn btn-outline-dark  btn-sm" style="margin-left: 5%" type="button" (click)="savePDF(paper.title)">
          Download
        </button>
      </div>
      <div class="row">
        <i><small>{{paper.text}}</small></i>
      </div>
    </div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
